baseURL: "https://9x0rg.com/"
languageCode: 'en-us'
title: 9x0rg
theme: WonderMod
copyright: '[CC BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/)'

enableRobotsTXT: true
enableGitInfo: true

minify:
  disableXML: true
  minifyOutput: true

params:
  env: production # to enable google analytics, opengraph, twitter-cards and schema.
  author: 9x0rg
  description: Infosec & MTB
  keywords: [Cybersecurity, Privacy, Information Security, Risk Management, Infosec, Moutain Biking, MTB]
  defaultTheme: dark # dark, light
  disableThemeToggle: false
  images: ["/9x0rg.png"]
  ShowReadingTime: true
  ShowPostNavLinks: true
  ShowBreadCrumbs: true
  ShowWordCount: false
  ShowToc: true
  ShowRssButtonInSectionTermList: false
  ShowCodeCopyButtons: true
  cover:
    linkFullImages: true
    cover.hiddenInList: true
    cover.responsiveImages: true
    cover.hidden: true



  assets:
    disableHLJS: true
    disableFingerprinting: false
    favicon: "/favicon.ico"
    favicon16x16: "/favicon-16x16.png"
    favicon32x32: "/favicon-32x32.png"
    apple_touch_icon: "/apple-touch-icon.png"
    safari_pinned_tab: "/safari-pinned-tab.svg"

  label:
    text: "Home"
    icon: "/9x0rg.png"

  # profile-mode
  profileMode:
    enabled: false # needs to be explicitly set
    title: 9x0rg
    subtitle: "Cybersecurity, Mountain Biking, Data Privacy, FLOSS"
    imageUrl: "/9x0rg.png"
    buttons:
      - name: About
        url: about
      - name: Contact
        url: contact
      - name: PGP
        url: 9x0rg.pgp.key.asc

  homeInfoParams:
        Title: 9x0rg ~ a work in progress
        Content: Loose collection of posts by a random dude, mostly about infosec, mountain biking, all things Asian & data privacy. Oh, and beer of course. Still a work-in-progress; hundreds of posts need to be migrated from the old platform.  

  socialIcons:
    - name: mastodon
      url: "https://mamot.fr/@9x0rg"
    - name: gitea
      url: "https://git.9x0rg.com/x0rg"
    - name: matrix
      url: "https://matrix.to/#/@x0rg:arcticfoxes.net"
    - name: twitter
      url: "https://twitter.com/9x0rg"
    - name: email
      url: "mailto:x0rg@9x0rg.com"
    - name: rss
      url: "https://9x0rg.com/posts/index.xml"

  cover:
    hidden: false # hide everywhere but not in structured data
    hiddenInList: true # hide on list pages and home
    hiddenInSingle: false # hide on single page

  editPost:
    URL: "https://git.9x0rg.com"
    Text: "Source" # edit text
    appendFilePath: true # to append file path to Edit link

  # for search
  # https://fusejs.io/api/options.html
  fuseOpts:
    isCaseSensitive: false
    shouldSort: true
    location: 0
    distance: 1000
    threshold: 0.4
    minMatchCharLength: 0
    keys: ["title", "summary"]

#Enabling Search
outputs:
    home:
        - HTML
        - JSON # is necessary

# Enable Chroma
markup:
    highlight:
        style: dracula
        lineNos: false
        noClasses: false
        guessSyntax: true

menu:
  main:
    - identifier: About
      name: About
      url: /about/
      weight: 10
    - identifier: Archives
      name: Archives
      url: /archives/
      weight: 20
    - identifier: Blog
      name: Categories
      url: /posts/
      weight: 30
    - identifier: Search
      name: Search
      url: /search/
      weight: 40

privacy:
  disqus:
    disable: true
  googleAnalytics:
    anonymizeIP: true
    disable: true
    respectDoNotTrack: true
    useSessionStorage: false
  instagram:
    disable: true
    simple: false
  twitter:
    disable: true
    enableDNT: true
    simple: false
  vimeo:
    disable: true
    enableDNT: true
    simple: false
  youtube:
    disable: true
    privacyEnhanced: true

